## Contributing

Bug reports and pull requests are welcome on GitHub at <https://github.com/driggl/jsonapi_errors_handler>.

**How to contribute:**

1.  Create Issue on Github.

2.  Fork repository

3.  Install [Rubocop](https://github.com/rubocop-hq/rubocop) - make sure you run it before commiting changes

4.  Commit changes
    *   Keep commits small and atomic

    *   Start commit message from keywords (Add/Remove/Change/Refactor/Move/Rename/Upgrade/Downgrade)

    *   Keep commits imperative style

    *   Mention issue number (i.e "Resolves: #3")

5.  Make sure you cover your change with tests.

6.  Create Pull Request

**Coding Guidelines**

*   We use [Rubocop](https://github.com/rubocop*hq/rubocop) and Ruby style guides for linting `*.rb` files.
*   We use [Remark Lint](https://github.com/remarkjs/remark-lint) for linting `*.md` files.
